System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.DataTypeAttribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false)

The value is validated using a regular expression. The class does not validate that the credit card number is valid for purchases, only that it is well formed.

Specifies that a data field value is a credit card number.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Boolean ``

  The value is validated using a regular expression. The class does not validate that the credit card number is valid for purchases, only that it is well formed.

  Determines whether the specified credit card number is valid.

  true if the credit card number is valid; otherwise, false.

  The value to validate.